Package com.documentum.fc.client

# Interface IDfSessionManagerStatistics

public interface IDfSessionManagerStatistics
Provides statistics and status related to a session manager instance.

An object of this type is obtained using `IDfSessionManager.getStatistics()`. Once the data object is retrieved, data can be extracted without impacting the session manager. Retrieving statistics may put some load on the session manager; it is not recommended that you run this on a regular basis on a production system.

Since:
  5.1
See Also:
  - `IDfSessionManager.getStatistics()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Iterator`
  `getDocbases()`
  Get the names of all repositories that have an identity and/or a session.
  `Iterator`
  `getIdentities(String ignored)`
  Get all identities currently stored in the session manager.
  `int`
  `getReferenceCount(IDfSession session)`
  Get the reference count for a given session.
  `Iterator`
  `getSessions(String docbase)`
  Get all sessions for a given repository name.
  `boolean`
  `hasActiveSessions()`
  Indicates whether or not there are active sessions.
  `boolean`
  `isSessionPoolActive()`
  Indicates whether session pooling is currently active.

- ## Method Details

  - ### isSessionPoolActive

    boolean isSessionPoolActive()
    Indicates whether session pooling is currently active.
    Returns:
      `true` if the session pool is active

  - ### hasActiveSessions

    boolean hasActiveSessions()
    Indicates whether or not there are active sessions.

    For example when the session is released there should be no more active sessions and all sessions should be back in the pool. This is a quick way of checking.
    Returns:
      `true` if there are still active sessions

  - ### getDocbases

    Iterator getDocbases()
    Get the names of all repositories that have an identity and/or a session.
    Returns:
      Iterator to a collection of repository names as String objects

  - ### getIdentities

    Iterator getIdentities(String ignored)
    Get all identities currently stored in the session manager.
    Returns:
      An Iterator to a collection of Map.Entry objects. The key in the map entry is the repository name and the value in the map entry is an IDfLoginInfo instance.

  - ### getSessions

    Iterator getSessions(String docbase)
    Get all sessions for a given repository name.

    You can use method `getDocbases()` to retrieve a list of all possible repositories and then call this method to learn about the sessions to those repositories.
    Parameters:
      `docbase` - repository name
    Returns:
      an iterator to a collection of IDfSession objects
    See Also:
      - `getDocbases()`
      - `getReferenceCount(com.documentum.fc.client.IDfSession)`

  - ### getReferenceCount

    int getReferenceCount(IDfSession session)
    Get the reference count for a given session.

    The reference count indicates how many strong references currently exist for the session. This equates to how many times `IDfSessionManager.getSession(String)` or `IDfSessionManager.newSession(String)` has been called while the corresponding `IDfSessionManager.release(IDfSession)` has not yet been called.
    Parameters:
      `session` - the Session
    Returns:
      number of references to this session
    See Also:
      - `getSessions(java.lang.String)`